BEGIN M_RTRAIN
IF ~~ THEN BEGIN NMR15
  SAY @100
  IF ~~ THEN REPLY @200 GOTO NMR16
END


IF ~Global("m_rndl10","LOCALS",0)~ THEN BEGIN NMR16
  SAY @201
  IF ~~ THEN REPLY @202 GOTO NMR17
END


IF ~Global("m_rndl10","LOCALS",0)~ THEN BEGIN NMR17
  SAY @203
  IF ~~ THEN REPLY @204 GOTO NMR18
END


IF ~Global("m_rndl10","LOCALS",0)~ THEN BEGIN NMR18
  SAY @205
  IF ~~ THEN REPLY @206 DO ~StartStore("m_rctrai",LastTalkedToBy(Myself))
SETGlobal("M_RNDL10","LOCALS",1)~ 
EXIT
END

IF ~Global("m_rndl10","LOCALS",1)~ THEN BEGIN NMR19
  SAY @300
  IF ~~ THEN REPLY @301 GOTO NMR20
IF ~General(LastTalkedToBy(Myself),ANIMAL)
!Class(LastTalkedToBy(Myself),MAGE_ALL)
!Class(LastTalkedToBy(Myself),FIGHTER_ALL)
!Class(LastTalkedToBy(Myself),CLERIC_ALL)
!Class(LastTalkedToBy(Myself),THIEF_ALL)
!Class(LastTalkedToBy(Myself),BARD_ALL)
!Class(LastTalkedToBy(Myself),PALADIN_ALL)
!Class(LastTalkedToBy(Myself),DRUID_ALL)
!Class(LastTalkedToBy(Myself),RANGER_ALL)
!Class(LastTalkedToBy(Myself),MONK)
!Class(LastTalkedToBy(Myself),SORCERER)
~ THEN REPLY @302 GOTO NMR21
IF ~General(LastTalkedToBy(Myself),ANIMAL)
!Class(LastTalkedToBy(Myself),MAGE_ALL)
!Class(LastTalkedToBy(Myself),FIGHTER_ALL)
!Class(LastTalkedToBy(Myself),CLERIC_ALL)
!Class(LastTalkedToBy(Myself),THIEF_ALL)
!Class(LastTalkedToBy(Myself),BARD_ALL)
!Class(LastTalkedToBy(Myself),PALADIN_ALL)
!Class(LastTalkedToBy(Myself),DRUID_ALL)
!Class(LastTalkedToBy(Myself),RANGER_ALL)
!Class(LastTalkedToBy(Myself),MONK)
!Class(LastTalkedToBy(Myself),SORCERER)~ 
THEN REPLY @303 GOTO NMR22
IF ~~ THEN REPLY @304 GOTO NMR23
END

IF ~Global("m_rndl10","LOCALS",1)~ THEN BEGIN NMR20
  SAY @400
  IF ~~ THEN DO ~StartStore("m_rctrai",LastTalkedToBy(Myself))~ 
EXIT
END

IF ~Global("m_rndl10","LOCALS",1)~ THEN BEGIN NMR21
  SAY @401
  IF ~~ THEN DO ~ChangeClass(LastTalkedToBy,FIGHTER)
ApplySpellRES("M_rcafg",LastTalkedToBy)
RestParty()
DayNight(DAWN_START)~ 
EXIT
END

IF ~Global("m_rndl10","LOCALS",1)~ THEN BEGIN NMR22
  SAY @402
  IF ~~ THEN DO ~ChangeClass(LastTalkedToBy,THIEF)
ApplySpellRES("M_rcatg",LastTalkedToBy)
RestParty()
DayNight(DUSK_START)~ 
EXIT
END

IF ~Global("m_rndl10","LOCALS",1)~ THEN BEGIN NMR23
  SAY @403
IF ~~ THEN
EXIT
END
	REPLACE_TRANS_ACTION TRAINER1
	 BEGIN 11 END
	 BEGIN 0 END
	 ~EscapeArea()~
	 ~SetDialog("M_RTRAIN")
	 ApplySpellRES("M_rnpca5",Myself)
MoveBetweenAreas("AR0607",[787.328],0)~